.main-slider {
  // .main-slider__container
  &__container {
    // max-width: 1078px;
    margin-bottom: 100px;
  }
  // .main-slider__title
  &__title {
    font-family: $fontRegular;
    color: #181818;
    font-size: 32px;
    text-align: center;
  }
  // .main-slider__slide-nav
  &__slide-nav {
    // .main-slider__slide-nav_container
    &_container {
      max-width: 1080px;
      margin: 60px auto;
    }
  }
  // .main-slider__slider-row
  &__slider-row {
    position: relative;
    height: 620px;
  }
  // .main-slider__slide
  &__slide {
    position: absolute;
    width: 100%;
    left: 100%;
    max-width: 1080px;
    transition: 0.7s;
    visibility: hidden;
    opacity: 0;
    &.active {
      left: 50%;
      transform: translate(-50%, 0);
      visibility: visible;
      z-index: 1;
      opacity: 1;
    }
    &.hide {
      left: -100%;
    }
  }
  @media (max-width: 1280px) {
    &__container {
      margin-bottom: 50px;
    }
  }
  @media (max-width: $md0) {
    &__container {
      margin-bottom: 50px;
    }
    &__slider-row {
      height: 1000px;
    }
  }
  @media (max-width: $md2) {
    &__slider-row {
      height: 850px;
    }
  }
  @media (max-width: $md3) {
    &__container {
      margin-bottom: 100px;
    }
    &__title {
      font-size: (32px / 100) * 85;
    }
    &__slide-nav {
      &_container {
        margin: 30px auto;
      }
    }
    &__slider-row {
      height: 950px;
    }
  }
}

.slide-nav {
  display: flex;
  // .slide-nav__item
  &__item {
    flex: 1 1 auto;
    button {
      font-size: 16px;
      font-family: $fontRegular;
      color: #181818;
      width: 100%;
      background-color: transparent;
      padding: 0px 0px 17.5px 0px;
      border-bottom: 1px solid rgba(151, 151, 151, 0.63);
      position: relative;
      &::after {
        content: '';
        position: absolute;
        bottom: -1px;
        left: 50%;
        transform: translate(-50%, 0);
        width: 0%;
        height: 2px;
        transition: 0.3s;
      }
    }
    &.active,
    &:hover {
      button {
        &::after {
          width: 100%;
          transition: 0.5s;
          background-color: #f7b500;
        }
      }
    }
  }
}
.mini-slider {
  display: flex;
  justify-content: space-between;
  padding-top: 60px;
  // .mini-slider__container
  &__container {
    max-width: 500px;
    width: 100%;
    position: relative;
    margin: 0px 10px 0px 0px;
  }
  // .mini-slider__slide
  &__slide {
    width: 100%;
    position: absolute;
    z-index: 0;
    opacity: 0;
    transition: 0.5s ease-in-out;
    right: -75px;
    &.active {
      z-index: 1;
      opacity: 1;
      right: 0;
    }
    &.hide {
      right: 75px;
    }
  }
  // .mini-slider__title
  &__title {
    font-size: 30px;
    line-height: 40px;
    font-family: $fontRegular;
    color: #677897;
    margin: 0px 0px 43px 0px;
  }
  // .mini-slider__text
  &__text {
    font-family: $fontRegular;
    font-size: 17px;
    color: #677897;
    line-height: 30px;
  }
  // .mini-slider__navigator
  &__navigator {
    position: relative;
    margin-left: 94px;
    margin-top: -45px;
    transform: rotate(-45deg);
  }
  @media (max-width: 1280px) {
    &__navigator {
      margin-right: 100px;
    }
  }
  @media (max-width: $md0) {
    flex-direction: column-reverse;
    align-items: center;
    &__container {
      max-width: 100%;
    }
    &__slide {
      width: 100%;
      padding: 0 10px;
    }
    &__navigator {
      margin-bottom: 100px;
    }
  }
  @media (max-width: $md2) {
    padding-top: 20px;
    &__navigator {
      margin-right: 20px;
      margin-bottom: 50px;
      margin-left: 0px;
    }
  }
  @media (max-width: 500px) {
    &__title {
      font-size: (30px / 100) * 75;
      line-height: (40px / 100) * 75;
      margin: 0px 0px 30px 0px;
    }
    &__navigator {
      margin: 0;
      transform: rotate(0);
    }
  }
}
.mini-navigator {
  display: flex;
  flex-wrap: wrap;
  width: 460px;
  min-width: 460px;

  // .mini-navigator__title
  &__title {
    font-family: $fontMedium;
    font-size: 15px;
    line-height: 20px;
    margin: 0px 0px 10px 0px;
    color: #f7b500;
  }
  // .mini-navigator__button
  &__button {
    transition: 0.5s;
    width: 128px;
    height: 128px;
    background: rgba(247, 181, 0, 0.00401552);
    box-shadow: 0px 2px 27px rgba(69, 69, 69, 0.093149);
    border-radius: 15px;
    position: relative;
    &:before {
      content: '';
      position: absolute;
      left: 50%;
      top: 50%;
      z-index: 0;
      width: 77px;
      height: 77px;
      border-radius: 15px;
      transition: 0.5s;
      transform: translate(-50%, -50%) rotate(45deg);
      background: linear-gradient(0, #ffffff, rgba(255, 249, 232, 0.34));
    }
    img {
      transform: rotate(45deg);
      max-width: 60px;
      max-height: 60px;
    }
  }
  // .mini-navigator__item
  &__item {
    cursor: pointer;
    margin: 15px;
    width: 200px;
    height: 240px;
    text-align: center;
    display: flex;
    flex-direction: column;
    &.active {
      .mini-navigator__button {
        width: 200px;
        height: 200px;
        &:before {
          width: 110px;
          height: 110px;
        }
        img {
          max-width: 75px;
          max-height: 75px;
        }
      }
    }
    &:nth-child(1) {
      align-items: flex-end;
      justify-content: flex-end;
    }
    &:nth-child(2) {
      align-items: flex-start;
      justify-content: flex-end;
    }
    &:nth-child(3) {
      align-items: flex-end;
      justify-content: flex-start;
    }
    &:nth-child(4) {
      align-items: flex-start;
      justify-content: flex-start;
    }
  }
  @media (max-width: $md2) {
    width: 360px;
    min-width: 360px;
    // .mini-navigator__item

    // .mini-navigator__title
    &__title {
      font-family: $fontMedium;
      font-size: (15px / 100) * 75;
      line-height: (20px / 100) * 75;
      margin: 0px 0px 10px 0px;
      color: #f7b500;
    }
    // .mini-navigator__button
    &__button {
      margin: 0px 0px 0px 0px;
      transition: 0.5s;
      width: 100px;
      height: 100px;
      &:before {
        content: '';
        position: absolute;
        left: 50%;
        top: 50%;
        z-index: 0;
        width: 55px;
        height: 55px;
      }
      img {
        transform: rotate(45deg);
        max-width: 45px;
        max-height: 45px;
      }
    }
    &__item {
      margin: 10px;
      width: (200px / 100) * 75;
      height: (240px / 100) * 75;
      &.active {
        .mini-navigator__button {
          width: (200px / 100) * 75;
          height: (200px / 100) * 75;
          &:before {
            width: (110px / 100) * 75;
            height: (110px / 100) * 75;
          }
          img {
            max-width: (75px / 100) * 75;
            max-height: (75px / 100) * 75;
          }
        }
      }
    }
  }
  @media (max-width: 500px) {
    &__button {
      &:before {
        transform: translate(-50%, -50%) rotate(45deg);
      }
      img {
        transform: rotate(0deg);
      }
    }
    &__item {
      &.active {
        .mini-navigator__button {
          width: (200px / 100) * 65;
          height: (200px / 100) * 65;
          &:before {
            width: (110px / 100) * 65;
            height: (110px / 100) * 65;
          }
          img {
            max-width: (75px / 100) * 65;
            max-height: (75px / 100) * 65;
          }
        }
      }
    }
  }
}
